## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate libxml

Name:           rust-%{crate}
Version:        0.3.1
Release:        %autorelease
Summary:        Rust wrapper for libxml2

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/libxml
Source:         %{crates_source}
# Initial patched metadata
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
# * drop windows- and mac OS-specific dependencies
Patch0:         libxml-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
# * disable building on 32-bit architectures (bindings were generated on a
#   64-bit architecture and hard-code 64-bit assumptions):
#   https://github.com/KWARC/rust-libxml/issues/73
ExcludeArch:    %{ix86} %{arm}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Rust wrapper for libxml2 - the XML C parser and toolkit developed for the Gnome
project.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libxml-2.0)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(libxml-2.0)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Apr 06 2022 Fabio Valentini <decathorpe@gmail.com> 0.3.1-1
- Update to version 0.3.1; Fixes RHBZ#1965304

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed May 19 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.17-1
- Update to version 0.2.17.
- Fixes RHBZ#1961231

* Mon Feb 15 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.16-1
- Update to version 0.2.16.
- Fixes RHBZ#1922874

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct 01 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.15-1
- Update to version 0.2.15.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 12 16:35:46 CEST 2020 Igor Raits <i.gnatenko.brain@gmail.com> - 0.2.14-1
- Initial package

